# Betslips

Betslips related endpoints

## Get recommended betslips

> Returns personalized betslip recommendations.\
> \
> {% hint style="info" %}\
> \
> \## Betslip generation\
> \
> \
> Each betslip consists of a recommended event for the given user, along\
> with similar events to this recommendation. The chosen market selection\
> for each event is also the most confident for the given user.\
> \
> {% endhint %}\
> \
> \
> {% hint style="warning" %}\
> \
> \## Partial betslip generation\
> \
> \
> Notice that there is the unlikely case that the returned betslip is of\
> less than the required \`length\`. This could happen for example, when requesting\
> a betslip containing 5 selections for \`American Football\` events in a time\
> range where only 3 events of this sport are available. A betslip with a length\
> of \`3\` would be returned in that case.\
> \
> This may also happen if \`max\_payout\` option is provided.\
> \
> {% endhint %}\
> \
> \
> {% hint style="info" %}\
> \
> \## Number of produced betslips\
> \
> \
> The \`count\` field that is returned along with the \`betslips\` indicates\
> the number of successfully generated betslips.\
> \
> {% endhint %}\
> \
> \
> \
> {% hint style="info" %}\
> \
> \## Personalized betslip length\
> \
> \
> The option to dynamically calculate the betslip's length based on the user's\
> preferences is supported, using the \`personalized\_length\` parameter. If used,\
> the length of each betslip will be calculated based on the user's historical\
> preferences and behavior.\
> \
> Notice that the above calculation respects the \`length\` parameter.\
> \
> If the generated length is outside the provided \`length\` range, it will\
> be shifted to the closest boundary. For example, if the user's preferred\
> length is 2, but the provided \`length\` range is 3-5, the closest valid length\
> of the \`length\` range will be used (i.e. in this case, 3).\
> \
> {% endhint %}\ <br>

```json
{"openapi":"3.0.1","info":{"title":"","version":"0.1.0"},"tags":[{"description":"Betslips related endpoints","name":"Betslips"}],"servers":[{"description":"Production API","url":"https://api.vaix.ai"},{"description":"Staging (integration) API","url":"https://staging-api.vaix.ai"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"RecommendedBetslips":{"additionalProperties":false,"description":"A recommended betslips object","properties":{"betslips":{"description":"The list with the recommended betslips","items":{"items":{"$ref":"#/components/schemas/Selection"},"type":"array"},"type":"array"},"count":{"description":"How many betslips were generated","type":"integer"}},"type":"object"},"Selection":{"additionalProperties":false,"description":"A selection object","properties":{"begin":{"description":"The starting time of the event in UTC","format":"date-time","type":"string"},"bet_offer_id":{"description":"The event specific market id","nullable":true,"type":"string"},"count":{"description":"How many bets are placed on the market","type":"integer"},"country":{"description":"The country the event takes place at","nullable":true,"type":"string"},"country_id":{"description":"The id of the country the event takes place at","nullable":true,"type":"string"},"event_id":{"description":"The unique event id","type":"string"},"event_type":{"description":"The type of the event, e.g. `outright","nullable":true,"type":"string"},"league":{"description":"The league associated with the current event","nullable":true,"type":"string"},"league_id":{"description":"The id of the event's league","nullable":true,"type":"string"},"market":{"description":"The market's name","nullable":true,"type":"string"},"market_id":{"description":"The `market`'s id","nullable":true,"type":"number"},"market_type":{"description":"The market's type","nullable":true,"type":"string"},"market_type_id":{"description":"The `market_type`'s id","nullable":true,"type":"number"},"outcome":{"description":"The selection's outcome","nullable":true,"type":"string"},"outcome_id":{"description":"The `outcome`'s id","nullable":true,"type":"number"},"participant_ids":{"description":"The id of the event participants","items":{"type":"string"},"nullable":true,"type":"array"},"participants":{"description":"The participants of the event","items":{"type":"string"},"nullable":true,"type":"array"},"period":{"description":"The selection's period","nullable":true,"type":"string"},"period_id":{"description":"The `period`'s id","nullable":true,"type":"number"},"quote":{"description":"The selection's quote","type":"number"},"quote_group":{"description":"The group the quote belongs to","type":"string"},"selection_id":{"description":"The market selection id","type":"string"},"side":{"description":"The side of the market, back or lay (exchange only)","type":"string"},"sport":{"description":"The sport of the event, e.g. `soccer`","nullable":true,"type":"string"},"sport_id":{"description":"The id of the event's sport","nullable":true,"type":"string"},"status":{"description":"The status of the event, e.g. `live`","type":"string"},"uof_external_id":{"description":"The external market id","nullable":true,"type":"string"}},"type":"object"},"Error":{"additionalProperties":false,"description":"The generic API's error response","properties":{"error":{"description":"Description of the error","type":"string"},"status":{"description":"response status","type":"string"}},"type":"object"},"Errors":{"additionalProperties":false,"description":"The generic API's errors response","properties":{"errors":{"description":"An object with the request errors","type":"object"}},"type":"object"},"UnprocessableEntityError":{"oneOf":[{"additionalProperties":false,"description":"The generic API's error response","properties":{"error":{"description":"Description of the error","type":"string"},"status":{"description":"response status","type":"string"}},"type":"object"},{"additionalProperties":false,"description":"The generic API's errors response","properties":{"errors":{"description":"An object with the request errors","type":"object"}},"type":"object"}]}}},"paths":{"/api/sports/betslips/recommended":{"get":{"description":"Returns personalized betslip recommendations.\n\n{% hint style=\"info\" %}\n\n## Betslip generation\n\n\nEach betslip consists of a recommended event for the given user, along\nwith similar events to this recommendation. The chosen market selection\nfor each event is also the most confident for the given user.\n\n{% endhint %}\n\n\n{% hint style=\"warning\" %}\n\n## Partial betslip generation\n\n\nNotice that there is the unlikely case that the returned betslip is of\nless than the required `length`. This could happen for example, when requesting\na betslip containing 5 selections for `American Football` events in a time\nrange where only 3 events of this sport are available. A betslip with a length\nof `3` would be returned in that case.\n\nThis may also happen if `max_payout` option is provided.\n\n{% endhint %}\n\n\n{% hint style=\"info\" %}\n\n## Number of produced betslips\n\n\nThe `count` field that is returned along with the `betslips` indicates\nthe number of successfully generated betslips.\n\n{% endhint %}\n\n\n\n{% hint style=\"info\" %}\n\n## Personalized betslip length\n\n\nThe option to dynamically calculate the betslip's length based on the user's\npreferences is supported, using the `personalized_length` parameter. If used,\nthe length of each betslip will be calculated based on the user's historical\npreferences and behavior.\n\nNotice that the above calculation respects the `length` parameter.\n\nIf the generated length is outside the provided `length` range, it will\nbe shifted to the closest boundary. For example, if the user's preferred\nlength is 2, but the provided `length` range is 3-5, the closest valid length\nof the `length` range will be used (i.e. in this case, 3).\n\n{% endhint %}\n\n","operationId":"get_recommended_betslips","parameters":[{"description":"Custom client header, the value should be the name of the group the user belongs to","in":"header","name":"x-vaix-client-id","required":true,"schema":{"type":"string"}},{"description":"Authentication method to be used, supported values [`vaix`, `iam`]. Defaults to `vaix`","in":"header","name":"x-vaix-authentication-method","required":false,"schema":{"type":"string"}},{"description":"The minimum event's starting datetime.","in":"query","name":"from","required":false,"schema":{"format":"date-time","type":"string"}},{"description":"Considers events starting after the from timestamp plus the given minutes/hours/days.\nIf not set defaults to `0 minutes`.\nThe value must be in range [-7d - 7d].\n","in":"query","name":"from_offset","required":false,"schema":{"default":"0","pattern":"^[+-]?[0-9]+([.][0-9]+)?[smhd]?$","type":"string"}},{"description":"Considers events starting till the `from` timestamp plus the given\nminutes/hours/days. If not set defaults to one day (24 hours).\nThe value must be in range [`-7d` - `7d`].\n","in":"query","name":"to_offset","required":false,"schema":{"default":"2d","pattern":"^[+-]?[0-9]+([.][0-9]+)?[smhd]?$","type":"string"}},{"description":"DEPRECATED: Considers events starting till the `from` timestamp plus the given\nhours. If not set defaults to one day (24 hours).\n","in":"query","name":"hours","required":false,"schema":{"maximum":72,"minimum":1,"type":"integer"}},{"description":"How many betslips to return.","in":"query","name":"count","required":false,"schema":{"default":1,"maximum":20,"minimum":1,"type":"integer"}},{"description":"List including the number of selections each betslip should contain.\nCan be a number (e.g. 5) or a range (e.g. 2-4).\n","in":"query","name":"length","required":false,"schema":{"default":"2-6","pattern":"^(?<from>\\d+)(-(?<to>\\d+))?$","type":"string"}},{"description":"If `true`, calculates the betslip's length dynamically based on user's preferences.\nIf the generated length is outside the provided `length` range, it will be shifted to\nthe closest boundary. For example, if the `length` range is [3-5] and the calculated\nlength is 2, then it will be shifted to 3. Defaults to `false`.\n","in":"query","name":"personalized_length","required":false,"schema":{"default":false,"type":"boolean"}},{"description":"The max payout each betslip should have. Notice that the returned betslip\nmight be of less than the requested `length` if the `max_payout` is exceeded.\n","in":"query","name":"max_payout","required":false,"schema":{"minimum":1,"type":"number"}},{"description":"The minimum payout each betslip should have. Notice that the returned betslip\nmight be of more than the requested `length` for the `min_payout` condition to be met.\n","in":"query","name":"min_payout","required":false,"schema":{"minimum":1,"type":"number"}},{"description":"If `true`, ensures that all participants will appear only once in the betslip.\nDefaults to `false`.\n","in":"query","name":"unique_participants","required":false,"schema":{"default":false,"type":"boolean"}},{"description":"The user to get recommended betslips for.","in":"query","name":"user","required":true,"schema":{"type":"string"}},{"description":"Optional filtering on the events and markets to consider for producing\nthe betslips. It expects a string adhering to the filtering format, as\ndescribed in the filtering section, e.g. `sport:eq:Soccer;market:eq:1X2`.\n","in":"query","name":"filters","required":false,"schema":{"enum":["sport","sport_id","country","country_id","league","league_id","participants","participant_ids","status","booking_status","event_type","market","market_id","market_type","market_type_id","outcome","outcome_id","market_status","market_group_status","trade_status","trade_market_status","quote","user_country","user_state","shop_id","shop_country_code","shop_region","terminal_id","shop_city"],"type":"string"}},{"description":"Excludes the top `n` popular selections from the results.\n","in":"query","name":"exclude_n_popular","required":false,"schema":{"default":0,"type":"integer"}},{"description":"Applies a limit to a group of items. For more information, head to\n`Limiting -> Group Limiting` section of the docs.\n`country:5,country_id:2`.\n","in":"query","name":"group_limit","required":false,"schema":{"enum":["country","country_id","league","league_id","sport","sport_id","event_type"],"type":"string"}},{"description":"Optional selection of the object fields to retrieve. It expects a comma\nseparated list of strings, as described in the field selection section,\ne.g. `event_id,event_type`.\n","in":"query","name":"fields","required":false,"schema":{"default":["event_id","event_type","begin","country","country_id","league","league_id","sport","sport_id","participants","participant_ids","status","selection_id","bet_offer_id","market","market_id","market_type","market_type_id","uof_external_id","outcome","outcome_id","period","period_id","quote","quote_group","side","count"],"enum":["event_id","event_type","begin","country","country_id","league","league_id","sport","sport_id","participants","participant_ids","status","selection_id","bet_offer_id","market","market_id","market_type","market_type_id","uof_external_id","outcome","outcome_id","period","period_id","quote","quote_group","side","count"],"type":"string"}},{"description":"The columns to sort the results by. It expects a string adhering to\nthe ordering format, as described in the ordering section, e.g.\n`+begin,-league`.\n","in":"query","name":"order_by","required":false,"schema":{"enum":["begin","league","sport"],"type":"string"}},{"description":"The operator to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored.\n","in":"query","name":"operator","required":false,"schema":{"type":"string"}},{"description":"The bookmaker id to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored. Note that this parameter is used together with the\n`sub_bookmaker_id` parameter.\n","in":"query","name":"bookmaker_id","required":false,"schema":{"type":"integer"}},{"description":"The sub-bookmaker id to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored. Note that this parameter is used together with the\n`bookmaker_id` parameter.\n","in":"query","name":"sub_bookmaker_id","required":false,"schema":{"type":"integer"}},{"description":"List of event types to consider when generating recommendations.\nOne or more types can be provided.\nAvailable options are:\n* `match`: Standard matches to be considered.\n* `seasonal`: Seasonal events to be considered.\n* `forced_events`: Handpicked events to be considered regardless of their start_time.\n","in":"query","name":"event_types","required":false,"schema":{"default":"match,forced_events","enum":["match","seasonal","forced_events"],"type":"string"}},{"description":"The location of the page where the request takes place.\n","in":"query","name":"location","required":false,"schema":{"type":"string"}},{"description":"Comma separated list of keywords. If given, this input will be used\nas user demographics data for the recommendations, e.g `country:gr,city:ath`.\n","in":"query","name":"raw","required":false,"schema":{"enum":["age_group","city","country"],"type":"string"}},{"description":"Excludes results based on the most recommended values for a field.\nFor example, `sport_id:1` will exclude all items from\nthe user's most recommended value(s) for that field.\n","in":"query","name":"exclude_top","required":false,"schema":{"description":"A string in the format 'field:value', where 'field' is a supported field and 'value' is a positive integer. Used for configuration, filtering, or limiting based on field values.","enum":["event_id","sport","sport_id","league","league_id","country","country_id"],"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"additionalProperties":false,"description":"API response","properties":{"data":{"$ref":"#/components/schemas/RecommendedBetslips"},"status":{"description":"The status of the request","enum":["success","error"],"type":"string"}},"type":"object"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Forbidden"},"406":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Not Acceptable"},"413":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Request Entity Too Large"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnprocessableEntityError"}}},"description":"Unprocessable Entity"},"425":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Too Early"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Internal Server Error"}},"summary":"Get recommended betslips","tags":["Betslips"]}}}}
```

## Get popular betslips

> Returns popular betslips.\
> \
> {% hint style="info" %}\
> \
> \## Betslip generation\
> \
> \
> Each betslip consists of a set of selections.\
> \
> Popular betslips contains the most popular event combinations played.\
> For each event in each betslip its most popular market is selected.\
> If \`user\` is specified the top recommended market per event will be returned.\
> \
> {% endhint %}\
> \
> \
> {% hint style="warning" %}\
> \
> \## Generation failure\
> \
> \
> In the unlikely case that the betslips fail to be generated as requested,\
> only the valid betslips, if any, will be returned. Example: requesting\
> 3 betslips containing 5 selections each in a time range where only 12 events\
> are available would produce only 2 betslips.\
> \
> {% endhint %}\
> \
> \
> {% hint style="info" %}\
> \
> \## Number of produced betslips\
> \
> \
> The \`count\` field that is returned along with the \`betslips\` indicates\
> the number of successfully generated betslips.\
> \
> {% endhint %}\ <br>

```json
{"openapi":"3.0.1","info":{"title":"","version":"0.1.0"},"tags":[{"description":"Betslips related endpoints","name":"Betslips"}],"servers":[{"description":"Production API","url":"https://api.vaix.ai"},{"description":"Staging (integration) API","url":"https://staging-api.vaix.ai"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"PopularBetslips":{"additionalProperties":false,"description":"A popular betslips object","properties":{"betslips":{"description":"The list with the popular betslips","items":{"additionalProperties":false,"description":"A popular betslip object","properties":{"betslip":{"description":"The betslip selections","items":{"$ref":"#/components/schemas/Selection"},"type":"array"},"betslip_count":{"description":"The number of times the betslip's events were combined","type":"integer"}}},"type":"array"},"count":{"description":"How many betslips were generated","type":"integer"}},"type":"object"},"Selection":{"additionalProperties":false,"description":"A selection object","properties":{"begin":{"description":"The starting time of the event in UTC","format":"date-time","type":"string"},"bet_offer_id":{"description":"The event specific market id","nullable":true,"type":"string"},"count":{"description":"How many bets are placed on the market","type":"integer"},"country":{"description":"The country the event takes place at","nullable":true,"type":"string"},"country_id":{"description":"The id of the country the event takes place at","nullable":true,"type":"string"},"event_id":{"description":"The unique event id","type":"string"},"event_type":{"description":"The type of the event, e.g. `outright","nullable":true,"type":"string"},"league":{"description":"The league associated with the current event","nullable":true,"type":"string"},"league_id":{"description":"The id of the event's league","nullable":true,"type":"string"},"market":{"description":"The market's name","nullable":true,"type":"string"},"market_id":{"description":"The `market`'s id","nullable":true,"type":"number"},"market_type":{"description":"The market's type","nullable":true,"type":"string"},"market_type_id":{"description":"The `market_type`'s id","nullable":true,"type":"number"},"outcome":{"description":"The selection's outcome","nullable":true,"type":"string"},"outcome_id":{"description":"The `outcome`'s id","nullable":true,"type":"number"},"participant_ids":{"description":"The id of the event participants","items":{"type":"string"},"nullable":true,"type":"array"},"participants":{"description":"The participants of the event","items":{"type":"string"},"nullable":true,"type":"array"},"period":{"description":"The selection's period","nullable":true,"type":"string"},"period_id":{"description":"The `period`'s id","nullable":true,"type":"number"},"quote":{"description":"The selection's quote","type":"number"},"quote_group":{"description":"The group the quote belongs to","type":"string"},"selection_id":{"description":"The market selection id","type":"string"},"side":{"description":"The side of the market, back or lay (exchange only)","type":"string"},"sport":{"description":"The sport of the event, e.g. `soccer`","nullable":true,"type":"string"},"sport_id":{"description":"The id of the event's sport","nullable":true,"type":"string"},"status":{"description":"The status of the event, e.g. `live`","type":"string"},"uof_external_id":{"description":"The external market id","nullable":true,"type":"string"}},"type":"object"},"Error":{"additionalProperties":false,"description":"The generic API's error response","properties":{"error":{"description":"Description of the error","type":"string"},"status":{"description":"response status","type":"string"}},"type":"object"},"Errors":{"additionalProperties":false,"description":"The generic API's errors response","properties":{"errors":{"description":"An object with the request errors","type":"object"}},"type":"object"},"UnprocessableEntityError":{"oneOf":[{"additionalProperties":false,"description":"The generic API's error response","properties":{"error":{"description":"Description of the error","type":"string"},"status":{"description":"response status","type":"string"}},"type":"object"},{"additionalProperties":false,"description":"The generic API's errors response","properties":{"errors":{"description":"An object with the request errors","type":"object"}},"type":"object"}]}}},"paths":{"/api/sports/betslips/popular":{"get":{"description":"Returns popular betslips.\n\n{% hint style=\"info\" %}\n\n## Betslip generation\n\n\nEach betslip consists of a set of selections.\n\nPopular betslips contains the most popular event combinations played.\nFor each event in each betslip its most popular market is selected.\nIf `user` is specified the top recommended market per event will be returned.\n\n{% endhint %}\n\n\n{% hint style=\"warning\" %}\n\n## Generation failure\n\n\nIn the unlikely case that the betslips fail to be generated as requested,\nonly the valid betslips, if any, will be returned. Example: requesting\n3 betslips containing 5 selections each in a time range where only 12 events\nare available would produce only 2 betslips.\n\n{% endhint %}\n\n\n{% hint style=\"info\" %}\n\n## Number of produced betslips\n\n\nThe `count` field that is returned along with the `betslips` indicates\nthe number of successfully generated betslips.\n\n{% endhint %}\n\n","operationId":"get_popular_betslips","parameters":[{"description":"Custom client header, the value should be the name of the group the user belongs to","in":"header","name":"x-vaix-client-id","required":true,"schema":{"type":"string"}},{"description":"Authentication method to be used, supported values [`vaix`, `iam`]. Defaults to `vaix`","in":"header","name":"x-vaix-authentication-method","required":false,"schema":{"type":"string"}},{"description":"The minimum event's starting datetime.","in":"query","name":"from","required":false,"schema":{"format":"date-time","type":"string"}},{"description":"Considers events starting after the from timestamp plus the given minutes/hours/days.\nIf not set defaults to `0 minutes`.\nThe value must be in range [-7d - 7d].\n","in":"query","name":"from_offset","required":false,"schema":{"default":"0","pattern":"^[+-]?[0-9]+([.][0-9]+)?[smhd]?$","type":"string"}},{"description":"Considers events starting till the `from` timestamp plus the given\nminutes/hours/days. If not set defaults to one day (24 hours).\nThe value must be in range [`-7d` - `7d`].\n","in":"query","name":"to_offset","required":false,"schema":{"default":"2d","pattern":"^[+-]?[0-9]+([.][0-9]+)?[smhd]?$","type":"string"}},{"description":"DEPRECATED: Considers events starting till the `from` timestamp plus the given\nhours. If not set defaults to one day (24 hours).\n","in":"query","name":"hours","required":false,"schema":{"maximum":72,"minimum":1,"type":"integer"}},{"description":"How many betslips to return.","in":"query","name":"count","required":false,"schema":{"default":1,"maximum":20,"minimum":1,"type":"integer"}},{"description":"List including the number of selections each betslip should contain.\nCan be a number (e.g. 5) or a range (e.g. 2-4).\n","in":"query","name":"length","required":false,"schema":{"default":"2-6","pattern":"^(?<from>\\d+)(-(?<to>\\d+))?$","type":"string"}},{"description":"The max payout each betslip should have.","in":"query","name":"max_payout","required":false,"schema":{"minimum":1,"type":"number"}},{"description":"The minimum payout each betslip should have.","in":"query","name":"min_payout","required":false,"schema":{"minimum":1,"type":"number"}},{"description":"If `true`, ensures that all participants will appear only once in the betslip.\nDefaults to `false`.\n","in":"query","name":"unique_participants","required":false,"schema":{"default":false,"type":"boolean"}},{"description":"Optional filtering on the events and markets to consider for producing\nthe betslips. It expects a string adhering to the filtering format, as\ndescribed in the filtering section, e.g. `sport:eq:Soccer;market:eq:1X2`.\n","in":"query","name":"filters","required":false,"schema":{"enum":["sport","sport_id","country","country_id","league","league_id","participants","participant_ids","status","booking_status","event_type","market","market_id","market_type","market_type_id","outcome","outcome_id","market_status","market_group_status","trade_status","trade_market_status","quote"],"type":"string"}},{"description":"The user to get recommended betslips for.","in":"query","name":"user","required":false,"schema":{"type":"string"}},{"description":"Optional selection of the object fields to retrieve. It expects a comma\nseparated list of strings, as described in the field selection section,\ne.g. `event_id,event_type`.\n","in":"query","name":"fields","required":false,"schema":{"default":["event_id","event_type","begin","country","country_id","league","league_id","sport","sport_id","participants","participant_ids","status","selection_id","bet_offer_id","market","market_id","market_type","market_type_id","uof_external_id","outcome","outcome_id","period","period_id","quote","quote_group","side","count"],"enum":["event_id","event_type","begin","country","country_id","league","league_id","sport","sport_id","participants","participant_ids","status","selection_id","bet_offer_id","market","market_id","market_type","market_type_id","uof_external_id","outcome","outcome_id","period","period_id","quote","quote_group","side","count"],"type":"string"}},{"description":"The columns to sort the results by. It expects a string adhering to\nthe ordering format, as described in the ordering section, e.g.\n`+begin,-league`.\n","in":"query","name":"order_by","required":false,"schema":{"enum":["begin","league","sport"],"type":"string"}},{"description":"The operator to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored.\n","in":"query","name":"operator","required":false,"schema":{"type":"string"}},{"description":"The bookmaker id to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored. Note that this parameter is used together with the\n`sub_bookmaker_id` parameter.\n","in":"query","name":"bookmaker_id","required":false,"schema":{"type":"integer"}},{"description":"The sub-bookmaker id to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored. Note that this parameter is used together with the\n`bookmaker_id` parameter.\n","in":"query","name":"sub_bookmaker_id","required":false,"schema":{"type":"integer"}},{"description":"The location of the page where the request takes place.\n","in":"query","name":"location","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"additionalProperties":false,"description":"API response","properties":{"data":{"$ref":"#/components/schemas/PopularBetslips"},"status":{"description":"The status of the request","enum":["success","error"],"type":"string"}},"type":"object"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Forbidden"},"406":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Not Acceptable"},"413":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Request Entity Too Large"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnprocessableEntityError"}}},"description":"Unprocessable Entity"},"425":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Too Early"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Internal Server Error"}},"summary":"Get popular betslips","tags":["Betslips"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/personalization/api-reference/sports/betslips.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
